var CACHE_NAME = 'pwa-task-manager';

  /*AQUI VAI AS URLS/ROTAS QUE SERAO CACHEADAS...
    IMPORTANTE: Atenção as páginas cacheadas pois elas afetam o comportamento no 
    hot reloading do ambiente de dev, utilize CRTL+F5 para reload + clean cache OU
    Ative o 'Update on Reload' do service worker no console do seu navegador (CRTL+SHIFT+I no chrome)
  */
var urlsToCache = ['/'] 


// Install a service worker
self.addEventListener('install', event => {
  // Perform install steps
  event.waitUntil(
    caches.open(CACHE_NAME)
      .then(function(cache) {
        console.log('Opened cache');
        return cache.addAll(urlsToCache);
      })
  );
});

// Cache and return requests
self.addEventListener('fetch', event => {
  event.respondWith(
    caches.match(event.request)
      .then(function(response) {
        // Cache hit - return response
        if (response) {
          return response;
        }
        return fetch(event.request);
      }
    )
  );
});

// Update a service worker
self.addEventListener('activate', event => {
  var cacheWhitelist = ['pwa-task-manager'];
  event.waitUntil(
    caches.keys().then(cacheNames => {
      return Promise.all(
        cacheNames.map(cacheName => {
          if (cacheWhitelist.indexOf(cacheName) === -1) {
            return caches.delete(cacheName);
          }
        })
      );
    })
  );
});